// -*- c++ -*-

#ifndef KVNCAUTH_H
#define KVNCAUTH_H

#include <kdialogbase.h>
#include <qlineedit.h>

class KRFBConnection;

class KVNCAuthDialog : public KDialogBase
{
  Q_OBJECT

public: 
  KVNCAuthDialog( KRFBConnection *con,
		  QWidget *parent = 0, const char *name = 0 );
  ~KVNCAuthDialog();

  QString password() { return passwordEdit->text(); };
 
protected slots:
  void slotOk();

private:
  QLineEdit *passwordEdit;
};

#endif
